Python
from parallel import Parallel
client = Parallel()
task_group = client.task_group.retrieve("taskgroup_id")
print(task_group.status)import Parallel from "parallel-web";
const client = new Parallel();
const taskGroup = await client.taskGroup.retrieve(
'taskgroup_id',
);
console.log(taskGroup.status);HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1/tasks/groups/{taskgroup_id}")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1/tasks/groups/{taskgroup_id} \
--header 'x-api-key: <api-key>'{
"taskgroup_id": "<string>",
"status": {
"num_task_runs": 123,
"task_run_status_counts": {},
"is_active": true,
"status_message": "<string>",
"modified_at": "2025-04-24T18:56:22.513132Z"
},
"created_at": "2025-04-24T18:56:22.513132Z",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tasks
Retrieve Task Group
Retrieves aggregated status across runs in a TaskGroup.
GET
/
v1
/
tasks
/
groups
/
{taskgroup_id}
Python
from parallel import Parallel
client = Parallel()
task_group = client.task_group.retrieve("taskgroup_id")
print(task_group.status)import Parallel from "parallel-web";
const client = new Parallel();
const taskGroup = await client.taskGroup.retrieve(
'taskgroup_id',
);
console.log(taskGroup.status);HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1/tasks/groups/{taskgroup_id}")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1/tasks/groups/{taskgroup_id} \
--header 'x-api-key: <api-key>'{
"taskgroup_id": "<string>",
"status": {
"num_task_runs": 123,
"task_run_status_counts": {},
"is_active": true,
"status_message": "<string>",
"modified_at": "2025-04-24T18:56:22.513132Z"
},
"created_at": "2025-04-24T18:56:22.513132Z",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Response
Successful Response
Response object for a task group, including its status and metadata.
ID of the group.
Status of the group.
Show child attributes
Show child attributes
Timestamp of the creation of the group, as an RFC 3339 string.
Example:
"2025-04-24T18:56:22.513132Z"
User-provided metadata stored with the group.
Show child attributes
Show child attributes